aboutsummaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorAndrew Savchenko <bircoph@gmail.com>2012-07-22 16:44:34 +0400
committerAndrew Savchenko <bircoph@gmail.com>2012-07-22 16:44:34 +0400
commit8a0106a2475a0283e28c0425d79acaf332afc807 (patch)
tree23c9150abf3a086901e9563de9ce5e3176591572 /app-doc
parentsci-physics/root: version bump (diff)
downloadsci-8a0106a2475a0283e28c0425d79acaf332afc807.tar.gz
sci-8a0106a2475a0283e28c0425d79acaf332afc807.tar.bz2
sci-8a0106a2475a0283e28c0425d79acaf332afc807.zip
sci-physics/root-docs: version bump
Diffstat (limited to 'app-doc')
-rw-r--r--app-doc/root-docs/ChangeLog7
-rw-r--r--app-doc/root-docs/Manifest8
-rw-r--r--app-doc/root-docs/files/root-docs-5.34.01-makehtml.patch (renamed from app-doc/root-docs/files/root-docs-9999-makehtml.patch)0
-rw-r--r--app-doc/root-docs/root-docs-5.34.01.ebuild96
-rw-r--r--app-doc/root-docs/root-docs-9999.ebuild2
5 files changed, 109 insertions, 4 deletions
diff --git a/app-doc/root-docs/ChangeLog b/app-doc/root-docs/ChangeLog
index 2f4b65830..50977ddbd 100644
--- a/app-doc/root-docs/ChangeLog
+++ b/app-doc/root-docs/ChangeLog
@@ -2,6 +2,13 @@
# Copyright 1999-2012 Gentoo Foundation; Distributed under the GPL v2
# $Header: $
+*root-docs-5.34.01 (22 Jul 2012)
+
+ 22 Jul 2012; Andrew Savchenko <bircoph@gmail.com> +root-docs-5.34.01.ebuild,
+ +files/root-docs-5.34.01-makehtml.patch, root-docs-9999.ebuild,
+ -files/root-docs-9999-makehtml.patch:
+ Version bump.
+
21 Jul 2012; Andrew Savchenko <bircoph@gmail.com>
-files/root-docs-5.32-makehtml.patch, -files/root-docs-5.34-makehtml.patch,
root-docs-9999.ebuild, +files/root-docs-9999-makehtml.patch:
diff --git a/app-doc/root-docs/Manifest b/app-doc/root-docs/Manifest
index 54ac66faf..7d98622ec 100644
--- a/app-doc/root-docs/Manifest
+++ b/app-doc/root-docs/Manifest
@@ -1,4 +1,6 @@
-AUX root-docs-9999-makehtml.patch 1393 SHA256 6fd2edf1956e3929a063f9e7add1893d873eed21b56bb4d872f4c7beb60ebce5 SHA512 6ed68056585e12295d06c0d7e77fe90403214f15b889628a32fa27b9a845a7ccdabe027d962e381f786d5ad0210173b0227a8756487d809b0e60772cd6b74820 WHIRLPOOL d27abe4585b9772f4c5f3b03f1c04a7a1ac49e09ea59df85e5dbd47622a831503d18615d80f947bef6923e420027e4db5073b1f34cd1d239fd5adfa92ebd193f
-EBUILD root-docs-9999.ebuild 2680 SHA256 3bb4ba10c5b10d2a062e45c20c45b401079b5d97c3a399662045e95e06b8a61a SHA512 8e0ded1c21992f14803d6e4ab1586ad8524ae5d78920919f34f64f82c28eb45e40de11a9c9851fcad0d8bd0b8587f8ff498cf34f11f2a744ad94ba33a0ed129e WHIRLPOOL c534cefec21c4737a29e5a840b77c18df2b2af65c4ed5c39953abd20846588164503b784d3a5d0fbefb4ef82a0aaaa46bd04968b6c61be8e71f6fa9bb9310b64
-MISC ChangeLog 1451 SHA256 a50160030ad05694a71812006c3fa4016295c75ac8b876acf4c8bd75a9109a67 SHA512 78468b6622fa550eff5f4865df755b85fc83524936a92678555cd42271d7e0961a52ef6b56818465793f8b57fd768c82c4622649476c9fc6edd89eba4415bf98 WHIRLPOOL 2a2b8d61c848184377612627282738b9d63fe3a8046b8dff61fe8c3888f48dd550a80e993a137bf161b777935d05c9d4a9e89ec82cf9e4ec2c07e79418317396
+AUX root-docs-5.34.01-makehtml.patch 1393 SHA256 6fd2edf1956e3929a063f9e7add1893d873eed21b56bb4d872f4c7beb60ebce5 SHA512 6ed68056585e12295d06c0d7e77fe90403214f15b889628a32fa27b9a845a7ccdabe027d962e381f786d5ad0210173b0227a8756487d809b0e60772cd6b74820 WHIRLPOOL d27abe4585b9772f4c5f3b03f1c04a7a1ac49e09ea59df85e5dbd47622a831503d18615d80f947bef6923e420027e4db5073b1f34cd1d239fd5adfa92ebd193f
+DIST root_v5.34.01.source.tar.gz 56204557 SHA256 8910333b73051225b05829c1603f5c89be2da9d8577fd646e7fdc0626ecd35be SHA512 6cc20e402a2208fd8a66179121e0833528bf0aacb3923161901931375eac54303718ead49a3dbbd482207e8d0fc4087a6704038599b024d8892396627cb94ff4 WHIRLPOOL 51ef39a257a27427c1a29ca37ae7925f25ddaa81d58b2c2775f1a8fb5ad42ec3a5393a15b8a73131a43125c395bb048e63246b964fe407db10754f6d0dc21335
+EBUILD root-docs-5.34.01.ebuild 2683 SHA256 e3f3acbbc3fd4631785adbd27a291a95baf867030d1d1c8faabc4127e1a5c9ca SHA512 7cefcc67f51c0e5c6f979414c478f9b6f091753ced54d401e6feb6734fefb36c296bbc1552039abd49e93385dd395c4060e573d512711b3cef6d6e231a71fd72 WHIRLPOOL d64609eb2729dd60cf841b8a99e591cad9d20da9680d4ef1662219b28ea09a01fcfe972d2532efd943f9aa7acc79c9756ff44460f59979cc17dcb09f16ddbf80
+EBUILD root-docs-9999.ebuild 2683 SHA256 e3f3acbbc3fd4631785adbd27a291a95baf867030d1d1c8faabc4127e1a5c9ca SHA512 7cefcc67f51c0e5c6f979414c478f9b6f091753ced54d401e6feb6734fefb36c296bbc1552039abd49e93385dd395c4060e573d512711b3cef6d6e231a71fd72 WHIRLPOOL d64609eb2729dd60cf841b8a99e591cad9d20da9680d4ef1662219b28ea09a01fcfe972d2532efd943f9aa7acc79c9756ff44460f59979cc17dcb09f16ddbf80
+MISC ChangeLog 1928 SHA256 f51d6636ea20904a253ed710cd5a508e30c4861f795230eefde0846a20ad007b SHA512 33ebf40578cac999436cb236735dd404fe51c60d922aa7eedcd27fe4019b8fdb0a3c09d7f2161408ad4263ebce46f70b886d056ada528b4e2ef375204adac725 WHIRLPOOL 98aedb72c1d8536bbd44ef538d15580ce4877c9c091d9cdd7e33ba4af8e18da904687f9822abbea4dbd6cd7fda208e605c95c9a52c609e70374fd26e306d2dad
MISC metadata.xml 445 SHA256 00cd4d82a3a02cc4a2ac6dc347b57713f3772635f9be6987d05bb024ad9f3b72 SHA512 2793492437598485f4fc5542e3bc22e38ed5c9d598c1964cb952ce3ca89b796d126d482210b35f7d1d4e52d8c0cbf639df3652343d0f57036656ee70ceba29e1 WHIRLPOOL a072d60953083f1c24dca44c988104a86664b8380810ea63990494dd1decb2dd993ffadbc28159c2194c8e84841082946c0c593ea0e67ec823790bfdcf6a208c
diff --git a/app-doc/root-docs/files/root-docs-9999-makehtml.patch b/app-doc/root-docs/files/root-docs-5.34.01-makehtml.patch
index b339226c8..b339226c8 100644
--- a/app-doc/root-docs/files/root-docs-9999-makehtml.patch
+++ b/app-doc/root-docs/files/root-docs-5.34.01-makehtml.patch
diff --git a/app-doc/root-docs/root-docs-5.34.01.ebuild b/app-doc/root-docs/root-docs-5.34.01.ebuild
new file mode 100644
index 000000000..27260c209
--- /dev/null
+++ b/app-doc/root-docs/root-docs-5.34.01.ebuild
@@ -0,0 +1,96 @@
+# Copyright 1999-2012 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+# $Header: /var/cvsroot/gentoo-x86/app-doc/root-docs/root-docs-5.34.00.ebuild,v 1.2 2012/06/27 17:31:12 bicatali Exp $
+
+EAPI=4
+
+ROOT_PN="root"
+PATCH_PV="5.34.01"
+
+if [[ ${PV} == "9999" ]] ; then
+ _SVN_DEP="dev-vcs/subversion"
+ SRC_URI=""
+ KEYWORDS=""
+else
+ SRC_URI="ftp://root.cern.ch/${ROOT_PN}/${ROOT_PN}_v${PV}.source.tar.gz"
+ KEYWORDS="~amd64 ~x86 ~amd64-linux ~x86-linux"
+fi
+
+inherit eutils multilib toolchain-funcs virtualx
+
+DESCRIPTION="API documentation for ROOT (An Object-Oriented Data Analysis Framework)"
+HOMEPAGE="http://root.cern.ch/"
+
+SLOT="0"
+LICENSE="LGPL-2.1"
+IUSE=""
+
+S="${WORKDIR}/${ROOT_PN}"
+VIRTUALX_REQUIRED="always"
+
+DEPEND="
+ ~sci-physics/root-${PV}[X,doc,graphviz,htmldoc,opengl]
+ virtual/pkgconfig
+ ${_SVN_DEP}"
+RDEPEND=""
+
+pkg_setup() {
+ # sandboxed user can't access video hardware, so xorg-x11 implementation
+ # should be used
+ GL_IMPLEM=$(eselect opengl show)
+ eselect opengl set xorg-x11
+}
+
+src_unpack() {
+ # can't use subversion eclass functions,
+ # we need to svn export the same root tree:
+ # 1) svn revisions for root and root-docs must be the same;
+ # 2) no need to abuse server twice.
+ if [[ ${PV} == "9999" ]] ; then
+ addpredict "${PORTAGE_ACTUAL_DISTDIR:-${DISTDIR}}/svn-src/${ROOT_PN}/trunk/.svn"
+ svn export "${PORTAGE_ACTUAL_DISTDIR:-${DISTDIR}}/svn-src/${ROOT_PN}/trunk" \
+ "${S}" || die "svn export failed"
+ else
+ default
+ fi
+}
+
+src_prepare() {
+ epatch "${FILESDIR}"/${PN}-${PATCH_PV}-makehtml.patch
+}
+
+src_configure() {
+ # we need only to setup paths here, html docs doesn't depend on USE flags
+ ./configure \
+ --prefix="${EPREFIX}"/usr \
+ --etcdir="${EPREFIX}"/etc/root \
+ --libdir="${EPREFIX}"/usr/$(get_libdir)/${PN} \
+ --docdir="${EPREFIX}"/usr/share/doc/${PF} \
+ --tutdir="${EPREFIX}"/usr/share/doc/${PF}/examples/tutorials \
+ --testdir="${EPREFIX}"/usr/share/doc/${PF}/examples/tests \
+ --with-cc=$(tc-getCC) \
+ --with-cxx=$(tc-getCXX) \
+ --with-f77=$(tc-getFC) \
+ --with-ld=$(tc-getCXX) \
+ --with-afs-shared=yes \
+ --with-llvm-config="${EPREFIX}"/usr/bin/llvm-config \
+ --with-sys-iconpath="${EPREFIX}"/usr/share/pixmaps
+}
+
+src_compile() {
+ ROOTSYS="${S}" Xemake html
+ # if root.exe crashes, return code will be 0 due to gdb attach,
+ # so we need to check if last html file was generated;
+ # this check is volatile and can't catch crash on the last file.
+ [[ -f htmldoc/timespec.html ]] || die "looks like html doc generation crashed"
+}
+
+src_install() {
+ dodir /usr/share/doc/${PF}
+ # too large data to copy
+ mv htmldoc/* "${ED}usr/share/doc/${PF}/"
+}
+
+pkg_postinst() {
+ eselect opengl set ${GL_IMPLEM}
+}
diff --git a/app-doc/root-docs/root-docs-9999.ebuild b/app-doc/root-docs/root-docs-9999.ebuild
index 463a23b1e..27260c209 100644
--- a/app-doc/root-docs/root-docs-9999.ebuild
+++ b/app-doc/root-docs/root-docs-9999.ebuild
@@ -5,7 +5,7 @@
EAPI=4
ROOT_PN="root"
-PATCH_PV="9999"
+PATCH_PV="5.34.01"
if [[ ${PV} == "9999" ]] ; then
_SVN_DEP="dev-vcs/subversion"